﻿Imports VectoAuxiliaries.Electrics
Imports Newtonsoft.Json
Imports Newtonsoft.Json.Converters
Namespace Electrics


<Serializable()>
Public Class ElectricsUserInputsConfig
Implements IElectricsUserInputsConfig


Public Property PowerNetVoltage As Single Implements IElectricsUserInputsConfig.PowerNetVoltage
Public Property AlternatorMap As String Implements IElectricsUserInputsConfig.AlternatorMap
Public Property AlternatorGearEfficiency As Single Implements IElectricsUserInputsConfig.AlternatorGearEfficiency

Public Property ElectricalConsumers As IElectricalConsumerList Implements IElectricsUserInputsConfig.ElectricalConsumers
Public Property DoorActuationTimeSecond As Integer Implements IElectricsUserInputsConfig.DoorActuationTimeSecond


Public Property ResultCardIdle As IResultCard Implements IElectricsUserInputsConfig.ResultCardIdle
Public Property ResultCardTraction As IResultCard Implements IElectricsUserInputsConfig.ResultCardTraction
Public Property ResultCardOverrun As IResultCard Implements IElectricsUserInputsConfig.ResultCardOverrun

Public Property SmartElectrical As Boolean Implements IElectricsUserInputsConfig.SmartElectrical


End Class

End Namespace



